## 学校实验室预约管理系统

基于若依快速搭建的 学校实验室预约管理系统。

简化教师预约以及管理实验室过程，基于前后端分离脚手架快速搭建，主要模块包含 实验室预约、预约记录、实验室课表、维护实验室、数据统计分析 等。

## 用户权限

1. 超级管理员
2. 学校管理员
3. 实验室管理员
4. 教师

## 功能实现

- 教师预约实验室，异步发送邮件通知审批，预约成功自动生成实验室课表，可导出课表为PDF或图片；
- 实验室管理员能维护实验室信息及审批预约申请并邮件通知，可导出预约记录为Excel；
- 学校管理员可维护学校基本信息以及导入用户；
- 用户可查看不同学院实验室申请率及占用情况。

## 使用技术栈

SpringBoot、SpringSecurity、Redis、JWT、MyBatis-Plus、MySQL、Vue

## 运行

1. 启动Redis
2. 修改yml配置文件（MySQL、Redis）
3. 修改email配置
4. 导入sql文件到数据库
5. 启动项目

**注意**：默认关闭登陆时验证码校验，到以下方法中打开注释即可

```java
com.ruoyi.framework.web.service.SysLoginService#login
```

