package com.hzu.labbooking.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.MpBaseEntity;

/**
 * 教师信息对象 lms_office
 *
 * @author yezihao
 * @date 2021-06-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("lms_office")
public class Office extends MpBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
    private Long id;

    /**
     * 用户所在办公室
     */
    private String office;

}
