package com.hzu.labbooking.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.ruoyi.common.core.domain.MpBaseEntity;

/**
 * 预约信息周次映射对象 lms_record_week
 *
 * @author yezihao
 * @date 2021-06-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("lms_record_week")
public class RecordWeek extends MpBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 实验室预约记录ID
     */
    private Long recordId;

    /**
     * 实验室预约周次ID
     */
    private Long weekId;

}
