package com.hzu.labbooking.domain.component;

import com.hzu.labbooking.domain.LabWeek;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: yezihao
 * @since: 2021/6/15
 */
@Data
public class RecordTableValue {

    /**
     * 实验室预约记录ID
     */
    private List<Long> recordIdList;

    /**
     * 实验室预约状态[0-待审批, 1-审批通过, 2-驳回审批]
     */
    private Long status;

    /**
     * 驳回内容
     */
    private String rejectContent;

    /**
     * 更新时间[驳回时间/通过时间]
     */
    private Date gmtModified;

    /**
     * 预约周次
     */
    private List<LabWeek> weekList;

}
