package com.hzu.labbooking.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: skyed
 * @since: 2021/5/6
 */
@Data
public class LabRecordVO {

    private Long userId;

    private Long labId;

    @Excel(name = "用户名称")
    private String nickName;

    @Excel(name = "实验室位置")
    private String location;

    @Excel(name = "实验室名称")
    private String labName;

    @Excel(name = "班级名称")
    private String className;

    @Excel(name = "班级人数")
    private Long number;

    @Excel(name = "课程名称")
    private String courseName;

    @Excel(name = "学年")
    private Long year;

    @Excel(name = "学期")
    private Long term;

    @Excel(name = "星期")
    private Long day;

    @Excel(name = "节次")
    private Long time;

    private List<Long> weekList;

    @Excel(name = "周次")
    private String week;

    @Excel(name = "预约状态")
    private Long status;

    @Excel(name = "驳回内容")
    private String rejectContent;

    @Excel(name = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

    private List<Long> recordIdList;
}
