package com.hzu.labbooking.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Auther: cbwei
 * @create: 2021/5/22 17:14
 */

@Data
public class MyLabVO {


    private Long id;

    @Excel(name = "实验室名称")
    private String labName;

    /** 学院id **/
    private Long deptId;

    @Excel(name = "所属学院名称")
    private String deptName;

    @Excel(name = "实验室位置")
    private String location;

    @Excel(name = "容纳人数")
    private Long capacity;

    @Excel(name = "实验条件")
    private String requirement;

    private Long userId;

    @Excel(name = "管理员名称")
    private String userName;

    @Excel(name = "电子邮箱")
    private String email;

    @Excel(name = "电话")
    private String phoneNumber;

    @Excel(name = "办公室")
    private String office;

    @Excel(name = "实验室备注")
    private String remarks;

    /** 是否开启实验室预约功能[0-关闭, 1-开启] */
    @Excel(name = "实验室是否可用[0-关闭, 1-开启]")
    private Long status;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

}
