package com.hzu.labbooking.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper; 
import com.hzu.labbooking.domain.LabRecord;

/**
 * 实验室预约信息Mapper接口
 * 
 * @author yezihao
 * @date 2021-04-29
 */
public interface LabRecordMapper extends BaseMapper<LabRecord> {

    /**
     * 查询实验室预约信息列表
     * 
     * @param labRecord 实验室预约信息
     * @return 实验室预约信息集合
     */
    public List<LabRecord> selectLabRecordList(LabRecord labRecord);

    /**
     * 新增实验室预约信息
     * 
     * @param labRecord 实验室预约信息
     * @return 结果
     */
    public int insertLabRecord(LabRecord labRecord);

}
