## 开发

```bash
# 克隆项目
git clone https://gitee.com/y_project/RuoYi-Vue

# 进入项目目录
cd lab-booking-ui

# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装依赖，可以通使用国内镜像解决 npm 下载速度慢的问题
npm install --registry=https://registry.npm.taobao.org

# 启动服务
npm run dev
```

浏览器访问 http://localhost:80

## 发布

```bash
# 构建测试环境
npm run build:stage

# 构建生产环境
npm run build:prod
```

## 注意

为了开发方便，关闭了验证码功能，到以下文件中打开 TODO验证码注释
```bash
labbooking-ui\src\views\login.vue
```