package com.hzu.labbooking.domain.component;

import com.hzu.labbooking.domain.LabWeek;
import lombok.Data;

import java.util.List;

/**
 * @author: yezihao
 * @since: 2021/6/15
 */
@Data
public class RecordValue {
    /**
     * 预约记录编号
     */
    private Long recordId;
    /**
     * 周次列表
     */
    private List<LabWeek> labWeekList;

    public RecordValue() {
    }

    public RecordValue(Long recordId, List<LabWeek> labWeekList) {
        this.recordId = recordId;
        this.labWeekList = labWeekList;
    }

}
