package com.hzu.labbooking.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: skyed
 * @date: 2021-4-29
 */
@Data
public class LabTableDetailsVO {

    /** 课程人数 */
    @ApiModelProperty(value = "课程人数")
    private Long number;

    /** 实验条件[软件或硬件,多个用逗号隔开] */
    @ApiModelProperty(value = "实验条件[软件或硬件,多个用逗号隔开]")
    private String requirement;

    /** 容纳人数 */
    @ApiModelProperty(value = "容纳人数")
    private Long capacity;

    /** 实验室备注 */
    @ApiModelProperty(value = "实验室备注")
    private String labRemark;

    /** 课程备注 */
    @ApiModelProperty(value = "课程备注")
    private String courseRemark;

}