package com.hzu.labbooking.domain.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.Email;

/**
 * @author: skyed
 * @since: 2021/5/1
 */
@Data
public class LabVO {


    private Long id;

    @Excel(name = "实验室名称")
    private String labName;

    private Long deptId;

    @Excel(name = "所属学院名称")
    private String deptName;

    @Excel(name = "实验室位置")
    private String location;

    @Excel(name = "容纳人数")
    private Long capacity;

    @Excel(name = "实验条件")
    private String requirement;

    private Long userId;

    @Excel(name = "管理员名称")
    private String userName;

    @Excel(name = "电子邮箱")
    private String email;

    @Excel(name = "电话号码")
    private String phoneNumber;

    private String office;

    @Excel(name = "实验室备注")
    private String remarks;

    //    id: 1,
    //    labName: '实验室名称',
    //    location: '位置',
    //    capacity: 50,
    //    requirement: '软件',
    //    userId: 1,
    //    userName: '叶子豪',
    //    email: '497875761@qq.com',
    //    phoneNumber: '138415312',
    //    office: '办公1楼',
    //    remarks: '备注备注备注备注备注备注备注备注备注'

}
