package com.hzu.labbooking.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * @Auther: cbwei
 * @create: 2021/5/24 9:40
 */
@Data
public class RecordVO {

    private Long userId;
    /**
     * 实验室ID
     */
    private Long labId;
    /**
     * 预约状态
     **/
    private Long status;

    /**
     * 实验室位置
     **/
    private String location;

    /**
     * 实验室名称
     **/
    private String labName;

    /**
     * 驳回内容
     **/
    private String rejectContent;

    /**
     * 预约ID列表
     */
    private List<Long> recordIdList;

}
